<div [ngClass]="popWindow ? 'blur' : 'author-quotes'">
  <div class="filter">
    <select
      class="custom-select mb-3 bg-dark text-white rounded ps-10 filter"
      aria-label="Default select example"
      (change)="getQuotes($event)"
      *ngIf="!flag"
    >
      <option selected value="">Michael Jordan</option>
      <option *ngFor="let author of authors" value="{{ author['name'] }}">
        {{ author["name"] }}
      </option>
    </select>
    <select
      class="custom-select mb-3 bg-dark text-white rounded ps-10 filter"
      aria-label="Default select example"
      *ngIf="flag"
      (change)="getQuotes($event)"
    >
      <option>{{ filterAuthorName }}</option>
      <option *ngFor="let author of authors" value="{{ author['name'] }}">
        {{ author["name"] }}
      </option>
    </select>
  </div>

  <div class="authors-quotes">
    <div class="left-side-author-quotes">
      <div class="card" style="width: 18rem">
        <img
          class="card-img-top"
          [src]="[authorSlug]"
          onError="this.src='../../../assets/defaultImage.jpg'"
          alt="Card image cap"
        />
        <div class="loader" *ngIf="loader">
          <div class="bar"></div>
        </div>
        <div class="card-body">
          <h6 class="card-title">{{ quotes[0]["author"] }}</h6>
          <p class="card-text">
            {{ quotes[0]["content"] }}
          </p>
          <div class="loader" *ngIf="loader">
            <div class="bar"></div>
          </div>
        </div>
      </div>
    </div>
    <div class="right-side-authors-quotes">
     
      <div class="container-fluid">
        <div class="row">
          
          <div
            class="col-md-3 card bg-dark text-white ms-2 mb-2"
            *ngFor="let author of quotes"
          >
            <div class="card-body">
              
              <div class="card-title icon">
                <i class="fa-solid fa-user"></i>
              </div>
              <h5 class="card-title">{{ author["tags"] }}</h5>
              <p class="card-text">
                {{ author["content"] }}
              </p>
              <div class="loader" *ngIf="loader">
                <div class="bar"></div>
              </div>
              <button
                type="button"
                class="btn border-white rounded-pill btn-dark"
                (click)="
                  viewFullScreen(
                    author['author'],
                    author['content'],
                    author['tags'],
                    author['dateAdded']
                  )
                "
              >
                View Full Screen
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<!-- popupWindwo -->
<div [ngClass]="popWindow ? 'show' : 'hidden'">
  <div class="authorQuotesPopUp">
    <app-random-quotes-template
      [data]="authorQuotes"
      (popUpCloseEvent)="closePopup()"
      [popWindow]="popWindow"
    ></app-random-quotes-template>
  </div>
</div>
